PIO_LE_READ_FLOATS(3)

EXPERIMENTAL_FUNC
pio_le_read_floats - Read floating point data from a channel object, trapping NaNs.

SYNOPSIS
#include <karma_pio.h>

uaddr pio_le_read_floats

(Channel channel, uaddr num_values, float *data, uaddr *num_nan)

DESCRIPTION
This routine will read many floating point numbers from a channel object and will optionally trap IEEE Not-A-Number (NaN) values. Trapped NaNs are converted to the TOOBIG value.

channel
    The channel object.

num_values
    The number of values to read.

data
    The data will be written here. This will be written in host natural format. The data will be converted from IEEE little-endian format prior to writing.

num_nan
    The number of NaN values found will be written here. If this is NULL then NaN values are not trapped.

RETURN VALUE
The number of values read and converted.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/